% addconstraints.m
%
% Additional property fluxes for
% sections.  (Run "checkgeo" to see
% a map of box and section numbers.)
%
% Constraints actually added by the common
% m-file addcon.m
%
% Each call requires the following information:
%  sectnum: section number
%  statnum: station pair numbers ([] for all in section)
%  propnum: the property number (1=mass)
%  boxnum:  box number
%  layernum: layer number (nlayers+1 for all)
%  fluxvalue: constrained value of property flux
%  fluxerror: error bars on constraint
%
% Because some or all of this information is repeated
% from one model geometry to the next, with only "boxnum"
% changing according to the geometry, section-specific
% m-files with the extension "_con.m" are kept in
% subdirectory /new_dobox_mfiles/constraints
%
% NOTE: if statnum=[], fluxvalue is assumed to
% include the Ekman flux.  Otherwise, only the geostrophic
% flux is constrained.  This is done because constraints
% on individual currents (e.g. WBCs) are usually from sub-
% Ekman-layer estimates via current meters, while
% constraints across an entire section are usually meant
% to include the Ekman component.

glev;


sectnum=sectname2sectnum('fs_north');
statnum=[];
propnum=1;boxnum=1;layernum=nlayers+1;
fluxvalue=-31e6;
fluxerror=1e6;
addcon;
